Package org.opensaml.saml.common.profile.logic

# Class MetadataNameIdentifierFormatStrategy.MetadataLookupStrategy

java.lang.Object
org.opensaml.saml.common.profile.logic.MetadataNameIdentifierFormatStrategy.MetadataLookupStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,SSODescriptor>`

Enclosing class:
  MetadataNameIdentifierFormatStrategy

private class MetadataNameIdentifierFormatStrategy.MetadataLookupStrategy extends Object implements Function<ProfileRequestContext,SSODescriptor>
Default lookup strategy for metadata, relies on the inbound message context.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`MetadataLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`SSODescriptor`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### MetadataLookupStrategy

private MetadataLookupStrategy()

## Method Details

### apply

@Nullable public SSODescriptor apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,SSODescriptor>`